import * as $dara from '@darabonba/typescript';
export declare class DescribeResourceByTagsResponseBodyResourcesResource extends $dara.Model {
    /**
     * @remarks
     * The region ID.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * The resource ID.
     *
     * @example
     * i-bp16t2cgmiiy7t1c****
     */
    resourceId?: string;
    /**
     * @remarks
     * The type of the resource.
     *
     * @example
     * instance
     */
    resourceType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeResourceByTagsResponseBodyResources extends $dara.Model {
    resource?: DescribeResourceByTagsResponseBodyResourcesResource[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeResourceByTagsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 50
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 1C1E5359-71D7-44D8-8FAA-0327B549157X
     */
    requestId?: string;
    /**
     * @remarks
     * Details about the resources to which the tags are bound.
     */
    resources?: DescribeResourceByTagsResponseBodyResources;
    /**
     * @remarks
     * The total number of resources returned.
     *
     * @example
     * 8
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
